com.h3c.sdn.region

## Class ControllerNodeModel

- java.lang.Object
- - com.h3c.sdn.region.ControllerNodeModel

- All Implemented Interfaces:
    ControllerNode, Serializable, Comparable<ControllerNodeModel>

      public class ControllerNodeModel
      extends Object
      implements ControllerNode, Comparable<ControllerNodeModel>

  Default implementation of a Controller Node.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ControllerNodeModel(IpAddress ipp)` Creates a instance of ControllerNodeModel with IP.
    `ControllerNodeModel(IpAddress ipp, String nm)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(ControllerNodeModel other)`
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `IpAddress` | `ip()` Returns the ip.
    `String` | `name()` Returns the name.
    `void` | `setIpAddress(IpAddress ipAddress)`
    `void` | `setName(String name)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ControllerNodeModel

          public ControllerNodeModel(IpAddress ipp)

      Creates a instance of ControllerNodeModel with IP. Assumes default name
      Parameters:
        `ipp` - ip address of the controller.

    - #### ControllerNodeModel

          public ControllerNodeModel(IpAddress ipp,
                             String nm)

  - ### Method Detail

    - #### ip

          public IpAddress ip()

      Returns the ip.
      Specified by:
        `ip` in interface `ControllerNode`
      Returns:
        ip address of this controller.

    - #### name

          public String name()

      Returns the name.
      Specified by:
        `name` in interface `ControllerNode`
      Returns:
        friendly name of this controller

    - #### setIpAddress

          public void setIpAddress(IpAddress ipAddress)

      Parameters:
        `ipAddress` - the ipAddress to set

    - #### setName

          public void setName(String name)

      Parameters:
        `name` - the name to set

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### compareTo

          public int compareTo(ControllerNodeModel other)

      Specified by:
        `compareTo` in interface `Comparable<ControllerNodeModel>`

Copyright © 2014. All Rights Reserved.